incubator-lucy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Karman <pe...@peknet.com>
Subject Re: [lucy-dev] Failed: PAUSE indexer report KARMAN/Lucy-0.3.0.tar.gz
Date Fri, 02 Mar 2012 14:53:32 GMT
On 3/1/12 8:15 PM, Marvin Humphrey wrote:
> On Thu, Mar 01, 2012 at 05:18:35PM -0800, David E. Wheeler wrote:
>>> Module::Build is having problems reading lib/Lucy/Store/RAMFile.pm.  Here is
>>> that file's contents, minus comments:
>>>
>>>     package Lucy::Store::RAMFile;
>>>     use Lucy; our $VERSION = $Lucy::VERSION;
>>>
>>>     1;
>>>
>>> Error message below.  Note that the build actually completes; it just
>>> complains loudly.
>>
>> And it’s doing that when trying to build the MYMETA.json files?
>
> Yes.
>
>> In that case, I say use constant version declarations in each file have have
>> your versioning script update them all.
>
> I'm OK with this approach -- provided we also do the following during "./Build
> dist":
>
>    * Require Module::Build 0.38.
>    * Verify the version numbers for every module specified under "provides"
>      in META.json.
>
> We should open a ticket and schedule this for both 0.3.1 and 0.4.0.
>

+1 to all the above


-- 
Peter Karman  .  http://peknet.com/  .  peter@peknet.com

Mime
View raw message